> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all the tasks > Get all the tasks in the system. ## OpenAPI ````json GET /v1/tasks { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/tasks": { "get": { "tags": [ "Task" ], "summary": "Get all the tasks.", "description": "Get all the tasks in the system.", "operationId": "getAllTasks", "parameters": [ { "name": "task_type", "in": "query", "description": "Task type.", "schema": { "enum": [ "NODE_ATTESTATION", "CERTIFICATE_ISSUANCE", "BUILD_WHITELIST", "DOMAIN_WHITELIST" ], "type": "string" } }, { "name": "status", "in": "query", "description": "Task status.", "schema": { "enum": [ "PENDING", "CLOSED" ], "type": "string" } }, { "name": "requester", "in": "query", "description": "UserName of requester.", "schema": { "type": "string" } }, { "name": "approver", "in": "query", "description": "UserName of approver.", "schema": { "type": "string" } }, { "name": "all_search", "in": "query", "description": "Search on Requester or Request.", "schema": { "type": "string" } }, { "name": "limit", "in": "query", "description": "Maximum numbers of tasks to return.", "schema": { "type": "integer" } }, { "name": "offset", "in": "query", "description": "Number of tasks to skip from start.", "schema": { "type": "integer" } }, { "name": "sort_by", "in": "query", "description": "Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC", "schema": { "type": "string" } }, { "name": "base_filters", "in": "query", "description": "Filters to be applied on base query (count and results) key1:ASC,key2:DESC,key3:DESC", "schema": { "type": "string" } } ], "responses": { "200": { "description": "Search result for Task objects.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetAllTasksResponse" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "schemas": { "GetAllTasksResponse": { "required": [ "items" ], "type": "object", "properties": { "metadata": { "$ref": "#/components/schemas/SearchMetadata" }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/Task" } } } }, "SearchMetadata": { "required": [ "total_count", "filtered_count", "page", "pages", "limit" ], "type": "object", "properties": { "page": { "type": "integer", "description": "Current page number" }, "pages": { "type": "integer", "description": "Total pages as per the item counts and page limit." }, "limit": { "type": "integer", "description": "Number of items to limit in a page." }, "total_count": { "type": "integer", "description": "Total number of unfiltered items." }, "filtered_count": { "type": "integer", "description": "Total number of items as per the current filter." } } }, "Task": { "required": [ "approvals", "task_id", "status", "task_type", "requester_info", "entity_id" ], "type": "object", "properties": { "task_id": { "type": "string", "description": "Task Id.", "format": "uuid" }, "requester_info": { "$ref": "#/components/schemas/RequesterInfo" }, "entity_id": { "type": "string", "description": "app_id, build_id, node_id, cert_id are entity_id for app_domain_whitelisting, build_whitelisting, node_attestation and certificate_issuance respectively.", "format": "uuid" }, "task_type": { "$ref": "#/components/schemas/TaskType" }, "status": { "$ref": "#/components/schemas/TaskStatus" }, "description": { "type": "string", "description": "Task details." }, "approvals": { "type": "array", "items": { "$ref": "#/components/schemas/ApprovalInfo" } }, "domains_added": { "type": "array", "items": { "type": "string" } }, "domains_removed": { "type": "array", "items": { "type": "string" } }, "group_id": { "type": "string", "description": "Group Id", "format": "uuid" } } }, "RequesterInfo": { "required": [ "requester_type" ], "type": "object", "properties": { "user_id": { "type": "string", "description": "User Id.", "format": "uuid" }, "user_name": { "type": "string", "description": "User Name." }, "app_id": { "type": "string", "description": "App Id.", "format": "uuid" }, "app_name": { "type": "string", "description": "App Name." }, "requester_type": { "$ref": "#/components/schemas/RequesterType" } } }, "TaskType": { "enum": [ "NODE_ATTESTATION", "CERTIFICATE_ISSUANCE", "BUILD_WHITELIST", "DOMAIN_WHITELIST" ], "type": "string", "description": "The types of tasks supported." }, "TaskStatus": { "required": [ "created_at", "status_updated_at", "status" ], "type": "object", "properties": { "created_at": { "type": "integer", "description": "Task creation time", "format": "int64" }, "status_updated_at": { "type": "integer", "description": "Time since the status change.", "format": "int64" }, "status": { "$ref": "#/components/schemas/TaskStatusType" }, "error": { "$ref": "#/components/schemas/TaskError" } }, "description": "Status info for a task." }, "ApprovalInfo": { "required": [ "user_id" ], "type": "object", "properties": { "user_id": { "type": "string", "description": "User Id.", "format": "uuid" }, "user_name": { "type": "string", "description": "User Name." }, "status": { "$ref": "#/components/schemas/ApprovalStatus" }, "denial_reason": { "type": "string", "description": "Reason associated with the denial." } } }, "RequesterType": { "enum": [ "USER", "APP", "SYSTEM" ], "type": "string", "description": "Type of requester." }, "TaskStatusType": { "enum": [ "INPROGRESS", "FAILED", "SUCCESS", "DENIED" ], "type": "string", "description": "Status string for a task." }, "TaskError": { "required": [ "message" ], "type": "object", "properties": { "message": { "type": "string", "description": "Error message in case of task failures" } } }, "ApprovalStatus": { "enum": [ "APPROVED", "DENIED" ], "type": "string", "description": "Approval status." } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````